#ifndef _KGR_PATCH_BSC1062471_H
#define _KGR_PATCH_BSC1062471_H

#include <linux/key.h>

int kgr_patch_bsc1062471_init(void);
static void kgr_patch_bsc1062471_cleanup(void) {}

asmlinkage long kgr_sys_add_key(const char __user *_type,
				const char __user *_description,
				const char __user *payload,
				size_t plen,
				key_serial_t ringid);

long kgr_keyctl_update_key(key_serial_t id,
			   const void __user *_payload,
			   size_t plen);

#define KGR_PATCH_BSC1062471_FUNCS				\
	KGR_PATCH(SyS_add_key, kgr_sys_add_key),		\
	KGR_PATCH(keyctl_update_key, kgr_keyctl_update_key),

#endif
